ServerParameters (training-module-library 1.0.0-4.12.0-163223 API)
Date: 2018-07-19

org.gcube.portal.trainingmodule.database

## Class ServerParameters

- java.lang.Object
- - org.gcube.portal.trainingmodule.database.ServerParameters

-     public class ServerParameters
      extends Object

  The Class ServerParameters.
  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it Feb 20, 2015

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `password` The password.
    `protected Map<String,String>` | `properties` The properties.
    `protected String` | `url` The url.
    `protected String` | `user` The user.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerParameters()` Instantiates a new server parameters.
    `ServerParameters(String url, String user, String password, Map<String,String> properties)` Instantiates a new server parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPassword()` Gets the password.
    `Map<String,String>` | `getProperties()` Gets the properties.
    `String` | `getUrl()` Gets the url.
    `String` | `getUser()` Gets the user.
    `void` | `setPassword(String password)` Sets the password.
    `void` | `setProperties(Map<String,String> properties)` Sets the properties.
    `void` | `setUrl(String url)` Sets the url.
    `void` | `setUser(String user)` Sets the user.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### url

          protected String url

      The url.

    - #### user

          protected String user

      The user.

    - #### password

          protected String password

      The password.

    - #### properties

          protected Map<String,String> properties

      The properties.

  - ### Constructor Detail

    - #### ServerParameters

          public ServerParameters()

      Instantiates a new server parameters.

    - #### ServerParameters

          public ServerParameters(String url,
                                  String user,
                                  String password,
                                  Map<String,String> properties)

      Instantiates a new server parameters.
      Parameters:
        `url` - the url
        `user` - the user
        `password` - the password
        `properties` - the properties

  - ### Method Detail

    - #### getUrl

          public String getUrl()

      Gets the url.
      Returns:
        the url

    - #### setUrl

          public void setUrl(String url)

      Sets the url.
      Parameters:
        `url` - the new url

    - #### getUser

          public String getUser()

      Gets the user.
      Returns:
        the user

    - #### setUser

          public void setUser(String user)

      Sets the user.
      Parameters:
        `user` - the new user

    - #### getPassword

          public String getPassword()

      Gets the password.
      Returns:
        the password

    - #### setPassword

          public void setPassword(String password)

      Sets the password.
      Parameters:
        `password` - the new password

    - #### getProperties

          public Map<String,String> getProperties()

      Gets the properties.
      Returns:
        the properties

    - #### setProperties

          public void setProperties(Map<String,String> properties)

      Sets the properties.
      Parameters:
        `properties` - the properties

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All Rights Reserved.